#!/usr/bin/env node
process.title = 'mjmlrd.js';

var WebSocketServer = require('websocket').server;
var http = require('http');

var mjmlFunc = require("./mjml.js");

var server = http.createServer(function (request, response) {
    // process HTTP request. Since we're writing just WebSockets
    // server we don't have to implement anything.
});

// we want our caller to give us a PORT number on which to listen
if (process.env.MJML_PORT) {
    var p = parseInt(process.env.MJML_PORT);
    server.listen(p, function () {
    });
} else {
    process.exit(99)
}

// create the server
wsServer = new WebSocketServer({
    httpServer: server
});

// WebSocket server
wsServer.on('request', function (request) {
    var connection = request.accept(null, request.origin);

    // handle message here
    connection.on('message', function (message) {
        if (message.type === 'utf8') {
            // process WebSocket message
            connection.sendUTF(
                mjmlFunc(
                    message.utf8Data,
                    {beautify: true, minify: false}
                )
            )
        }
    });

    // acknowledge closed connection
    connection.on('close', function (connection) {
        console.log((new Date()) + " Peer "
            + connection.remoteAddress + " disconnected.");
    });
});
