package handlers

import (
	"net/http"

	"github.com/go-openapi/runtime"
	"github.com/go-openapi/runtime/middleware"

	"orus.io/orus-io/rednerd/auth"
	op_auth "orus.io/orus-io/rednerd/restapi/operations/auth"
)

func NewAuthLogout(auth *auth.Auth) *AuthLogout {
	return &AuthLogout{auth}
}

type AuthLogout struct {
	auth *auth.Auth
}

func (h *AuthLogout) Handle(params op_auth.LogoutParams) middleware.Responder {
	return middleware.ResponderFunc(func(rw http.ResponseWriter, _ runtime.Producer) {
		http.SetCookie(rw, h.auth.Logout())
		rw.WriteHeader(204)
	})
}
