// Code generated by go-swagger; DO NOT EDIT.

package user_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"orus.io/orus-io/rednerd/models"
)

// UserApikeyListOKCode is the HTTP code returned for type UserApikeyListOK
const UserApikeyListOKCode int = 200

/*UserApikeyListOK The user api keys

swagger:response userApikeyListOK
*/
type UserApikeyListOK struct {

	/*
	  In: Body
	*/
	Payload []*models.Apikey `json:"body,omitempty"`
}

// NewUserApikeyListOK creates UserApikeyListOK with default headers values
func NewUserApikeyListOK() *UserApikeyListOK {

	return &UserApikeyListOK{}
}

// WithPayload adds the payload to the user apikey list o k response
func (o *UserApikeyListOK) WithPayload(payload []*models.Apikey) *UserApikeyListOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user apikey list o k response
func (o *UserApikeyListOK) SetPayload(payload []*models.Apikey) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserApikeyListOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	payload := o.Payload
	if payload == nil {
		// return empty array
		payload = make([]*models.Apikey, 0, 50)
	}

	if err := producer.Produce(rw, payload); err != nil {
		panic(err) // let the recovery middleware deal with this
	}
}

// UserApikeyListUnauthorizedCode is the HTTP code returned for type UserApikeyListUnauthorized
const UserApikeyListUnauthorizedCode int = 401

/*UserApikeyListUnauthorized Unauthorized

swagger:response userApikeyListUnauthorized
*/
type UserApikeyListUnauthorized struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserApikeyListUnauthorized creates UserApikeyListUnauthorized with default headers values
func NewUserApikeyListUnauthorized() *UserApikeyListUnauthorized {

	return &UserApikeyListUnauthorized{}
}

// WithPayload adds the payload to the user apikey list unauthorized response
func (o *UserApikeyListUnauthorized) WithPayload(payload *models.Error) *UserApikeyListUnauthorized {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user apikey list unauthorized response
func (o *UserApikeyListUnauthorized) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserApikeyListUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(401)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

// UserApikeyListNotFoundCode is the HTTP code returned for type UserApikeyListNotFound
const UserApikeyListNotFoundCode int = 404

/*UserApikeyListNotFound the user does not exist

swagger:response userApikeyListNotFound
*/
type UserApikeyListNotFound struct {
}

// NewUserApikeyListNotFound creates UserApikeyListNotFound with default headers values
func NewUserApikeyListNotFound() *UserApikeyListNotFound {

	return &UserApikeyListNotFound{}
}

// WriteResponse to the client
func (o *UserApikeyListNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(404)
}

/*UserApikeyListDefault generic error response

swagger:response userApikeyListDefault
*/
type UserApikeyListDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserApikeyListDefault creates UserApikeyListDefault with default headers values
func NewUserApikeyListDefault(code int) *UserApikeyListDefault {
	if code <= 0 {
		code = 500
	}

	return &UserApikeyListDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user apikey list default response
func (o *UserApikeyListDefault) WithStatusCode(code int) *UserApikeyListDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user apikey list default response
func (o *UserApikeyListDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user apikey list default response
func (o *UserApikeyListDefault) WithPayload(payload *models.Error) *UserApikeyListDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user apikey list default response
func (o *UserApikeyListDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserApikeyListDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
